Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.kaoriha.jspbp.helloworld.renderer
Enum Column

    java.lang.Object
      java.lang.Enum<Column>
          org.kaoriha.jspbp.helloworld.renderer.Column

All Implemented Interfaces:
  Serializable, Comparable<Column>

    public enum Column

extends Enum<Column>

Enum Constant Summary
`FirstName`
`LastName`
`MiddleName`
`Span`

Method Summary
`static Column` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Column[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FirstName

    public static final Column FirstName

### MiddleName

    public static final Column MiddleName

### LastName

    public static final Column LastName

### Span

    public static final Column Span

Method Detail

### values

    public static final Column[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Column c : Column.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Column valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright ? 2007-2008 Hound. All Rights Reserved.